=== modified file 'debian/control'
--- debian/control	2013-09-26 19:37:14 +0000
+++ debian/control	2013-10-04 21:15:57 +0000
@@ -27,6 +27,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: upstart-app-launch,
+         click (>= 0.4.9),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: service to allow sending of URLs and get handlers started

=== modified file 'service/dispatcher.c'
--- service/dispatcher.c	2013-10-04 21:54:29 +0000
+++ service/dispatcher.c	2013-10-08 19:18:11 +0000
@@ -178,7 +178,7 @@
 {
 	/* Get the directory from click */
 	GError * error = NULL;
-	gchar * cmdline = g_strdup_printf("%s pkgdir \"%s\"", 
+	gchar * cmdline = g_strdup_printf("%s info \"%s\"", 
 		click_exec == NULL ? "click" : click_exec,
 		pkg);
 
@@ -186,29 +186,17 @@
 	g_spawn_command_line_sync(cmdline, &output, NULL, NULL, &error);
 	g_free(cmdline);
 
-	gchar * newline = g_strstr_len(output, -1, "\n");
-	if (newline != NULL) {
-		newline[0] = '\0';
-	}
-
 	if (error != NULL) {
-		g_warning("Unable to get directory for '%s' package: %s", pkg, error->message);
+		g_warning("Unable to get manifest for '%s' package: %s", pkg, error->message);
 		g_error_free(error);
 		g_free(output);
 		return NULL;
 	}
 
-	/* Use that to determine which manifest we want */
-	gchar * manifestfile = g_strdup_printf("%s.manifest", pkg);
-	gchar * manifestpath = g_build_filename(output, ".click", "info", manifestfile, NULL);
-	g_debug("Loading manifest: %s", manifestpath);
-	g_free(output);
-	g_free(manifestfile);
-
 	/* Let's look at that manifest file */
 	JsonParser * parser = json_parser_new();
-	json_parser_load_from_file(parser, manifestpath, &error);
-	g_free(manifestpath);
+	json_parser_load_from_data(parser, output, -1, &error);
+	g_free(output);
 
 	if (error != NULL) {
 		g_warning("Unable to load manifest for '%s': %s", pkg, error->message);

=== modified file 'tests/click-test.sh'
--- tests/click-test.sh	2013-09-26 20:46:56 +0000
+++ tests/click-test.sh	2013-10-04 21:19:59 +0000
@@ -4,4 +4,4 @@
 	exit 1
 fi
 
-echo ${URL_DISPATCHER_TEST_CLICK_DIR}
+cat "${URL_DISPATCHER_TEST_CLICK_DIR}/.click/info/${2}.manifest"

